package com.muyu.marketing.domain;

import java.sql.Timestamp;
import java.sql.Date;
import java.sql.Time;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "activity_team_open_info",autoResultMap = true)
public class ActivityTeamOpenInfo {
  /**
   * 主键
   */
  private Long id;
  /**
   * 团购活动ID
   */
  private Long teamId;
  /**
   * 团购类型
   */
  private String teamType;
  /**
   * 团购策略
   */
  private String teamStrategyId;
  /**
   * 参团类型
   */
  private String executiveType;
  /**
   * 结束团购时间
   */
  private Timestamp endTime;
  /**
   * 商品ID
   */
  private String productId;
  /**
   * 商品名称
   */
  private String productName;
  /**
   * 商品规格
   */
  private String productSku;
  /**
   * 开团标识
   */
  private String key;
  /**
   * 订单ID
   */
  private String orderId;
  /**
   * 开团状态
   */
  private String status;
  /**
   * 创建人
   */
  private String createBy;
  /**
   * 创建时间
   */
  private Timestamp createTime;
  /**
   * 修改人
   */
  private String updateBy;
  /**
   * 修改时间
   */
  private Timestamp updateTime;
  /**
   * 备注
   */
  private String remark;
}
