package com.muyu.marketing.domain;

import java.sql.Timestamp;
import java.sql.Date;
import java.sql.Time;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "activity_team_product_sku_info",autoResultMap = true)
public class ActivityTeamProductSkuInfo {
  /**
   * 主键
   */
  private Long id;
  /**
   * 活动ID
   */
  private Long teamId;
  /**
   * 商品ID
   */
  private String productId;
  /**
   * 商品SKU
   */
  private String productSku;
  /**
   * 拼团库存
   */
  private String teamStock;
  /**
   * 拼团价格
   */
  private String teamPrice;
  /**
   * 创建人
   */
  private String createBy;
  /**
   * 创建时间
   */
  private Timestamp createTime;
  /**
   * 修改人
   */
  private String updateBy;
  /**
   * 修改时间
   */
  private Timestamp updateTime;
  /**
   * 备注
   */
  private String remark;
}
