package com.muyu.marketing.domain;

import java.sql.Timestamp;
import java.sql.Date;
import java.sql.Time;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "team_strategy_exemption_ordinary",autoResultMap = true)
public class TeamStrategyExemptionOrdinary {
  /**
   * 主键
   */
  private Long id;
  /**
   * 持续时间
   */
  private Long duration;
  /**
   * 成团人数
   */
  private Long teamNumber;
  /**
   * 最大购买量
   */
  private Long maxBuy;
  /**
   * 单次购买量
   */
  private Long oneBuy;
  /**
   * 虚拟人数
   */
  private Long virtualNumber;
  /**
   * 策略状态
   */
  private String status;
  /**
   * 创建人
   */
  private String createBy;
  /**
   * 创建时间
   */
  private Timestamp createTime;
  /**
   * 修改人
   */
  private String updateBy;
  /**
   * 修改时间
   */
  private Timestamp updateTime;
  /**
   * 备注
   */
  private String remark;
}
