package com.muyu.marketing.domain;

import java.sql.Timestamp;
import java.sql.Date;
import java.sql.Time;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "activity_team_info",autoResultMap = true)
public class ActivityTeamInfo {
  /**
   * 主键
   */
  private Long id;
  /**
   * 拼团名称
   */
  private String name;
  /**
   * 商品ID
   */
  private Long productId;
  /**
   * 商品活动图
   */
  private String productImage;
  /**
   * 活动简介
   */
  private String introduction;
  /**
   * 单位
   */
  private String unit;
  /**
   * 轮播图
   */
  private String imageList;
  /**
   * 活动结束时间
   */
  private Timestamp endTime;
  /**
   * 活动排序
   */
  private Long sort;
  /**
   * 活动详情
   */
  private String content;
  /**
   * 活动状态
   */
  private String status;
  /**
   * 策略类型
   */
  private String strategyType;
  /**
   * 策略ID
   */
  private Long strategyId;
  /**
   * 备注
   */
  private String remark;
  /**
   * 创建人
   */
  private String createBy;
  /**
   * 创建时间
   */
  private Timestamp createTime;
  /**
   * 修改人
   */
  private String updateBy;
  /**
   * 修改时间
   */
  private Timestamp updateTime;
}
